module folder_monitoring

go 1.19

require (
	git.hpds.cc/Component/logging v0.0.0-20230106105738-e378e873921b
	github.com/emirpasic/gods v1.18.1
	github.com/fsnotify/fsnotify v1.4.9
	github.com/klauspost/compress v1.16.3
	github.com/spf13/cobra v1.6.1
	go.uber.org/zap v1.23.0
	gopkg.in/yaml.v3 v3.0.1
)

require (
	git.hpds.cc/Component/network v0.0.0-20230405135741-a4ea724bab76
	git.hpds.cc/pavement/hpds_node v0.0.0-20230405153516-9403c4d01e12
)

require (
	git.hpds.cc/Component/mq_coder v0.0.0-20221010064749-174ae7ae3340 // indirect
	github.com/go-task/slim-sprig v0.0.0-20210107165309-348f09dbbbc0 // indirect
	github.com/golang/mock v1.6.0 // indirect
	github.com/google/pprof v0.0.0-20210407192527-94a9f03dee38 // indirect
	github.com/inconshreveable/mousetrap v1.0.1 // indirect
	github.com/matoous/go-nanoid/v2 v2.0.0 // indirect
	github.com/onsi/ginkgo/v2 v2.2.0 // indirect
	github.com/quic-go/qtls-go1-19 v0.2.1 // indirect
	github.com/quic-go/qtls-go1-20 v0.1.1 // indirect
	github.com/quic-go/quic-go v0.33.0 // indirect
	github.com/spf13/pflag v1.0.5 // indirect
	go.uber.org/atomic v1.7.0 // indirect
	go.uber.org/multierr v1.6.0 // indirect
	golang.org/x/crypto v0.4.0 // indirect
	golang.org/x/exp v0.0.0-20221205204356-47842c84f3db // indirect
	golang.org/x/mod v0.6.0 // indirect
	golang.org/x/net v0.4.0 // indirect
	golang.org/x/sys v0.3.0 // indirect
	golang.org/x/tools v0.2.0 // indirect
	gopkg.in/natefinch/lumberjack.v2 v2.0.0 // indirect
)
